PHP 手冊
前一頁 |  | 下一頁

# XSLTProcessor->transformToDoc()

XSLTProcessor->transformToDoc() -- Transform to a DOMDocument

## Description

class XSLTProcessor {
DOMDocument transformToDoc ( DOMNode doc )
}

Transforms the source node to a DOMDocument applying the stylesheet given by the XSLTProcessor->importStylesheet() method.

## Parameters

doc

  The node to be transformed.

## Return Values

The resulting DOMDocument or `FALSE` on error.

## 範例

範例 1. Transforming to a DOMDocument

`<?php // Load the XML source $xml = new DOMDocument; $xml->load('collection.xml'); $xsl = new DOMDocument; $xsl->load('collection.xsl'); // Configure the transformer $proc = new XSLTProcessor; $proc->importStyleSheet($xsl); // attach the xsl rules echo trim($proc->transformToDoc($xml)->firstChild->wholeText); ?>`

The above example will output:

    Hey! Welcome to Nicolas Eliaszewicz's sweet CD collection!

## 參考

XSLTProcessor->transformToURI()
XSLTProcessor->transformToXML()

前一頁 | 內容 | 下一頁
XSLTProcessor->setParameter() | 上一層 | XSLTProcessor->transformToURI()